require 'yaml'
require 'json'
require 'opencontrol'
require 'rationalist'
require 'colorize'
require 'pp'
require 'active_support/core_ext/hash/indifferent_access'

certification_key = ''
certification_filename = "./certifications/#{certification_key}.yaml"

data = YAML.load_file('./opencontrol.yaml').with_indifferent_access
data[:standards] = data[:standards].collect do |filename|
  YAML.load_file(filename)
end
data[:components] = data[:components].collect do |filename|
  YAML.load_file(filename + '/component.yaml')
end
# just load the one certification here instead
data[:certification] = YAML.load_file(certification_filename)
                         .merge({key: certification_key})

data = JSON.parse(data.to_json)
puts data.to_yaml

# to get the inspector output we want we'd pull in the controls from components where we have controls in the standard
# we might want to invert the data so that each control is identified in the expected way
#
# We want to count up the completion status of the whole project and see where we are easily

data[:components].each do |component|
  component[:satisfies] = component[:satisfies].select do |control|
    data[:certification][:standards][control[:standard_key]].keys.include? control[:control_key]
  end
end

# after this we want to iterate the components and add up the status of the components in terms of implementation
